## gprolog-1.2.16.tar.gz

=== ExamplesC/Makefile ===
GPLC = gplc
CFLAGS='-Wall -g'

EXECS=examp new_main

all: $(EXECS)

examp: examp.pl examp_c.c
	$(GPLC) -C $(CFLAGS) examp.pl examp_c.c

new_main: new_main.pl new_main_c.c
	$(GPLC) -C $(CFLAGS) new_main.pl new_main_c.c

clean:
	rm -f $(EXECS) *.exe

=== ExamplesFD/Makefile ===
GPLC     = gplc
GPLCFLAGS= --min-size
BENCH_FD=alpha bridge cars crypta digit8 donald eq10 eq20 five gardner magic\
         multipl partit queens send square send srq magsq qg5

BENCH_BOOL=bdiag bdonald bpigeon bqueens bramsey bschur bsend


.SUFFIXES:
.SUFFIXES: .pl $(SUFFIXES)


all: fd bool

clean: rm-fd rm-bool
	rm -f *.exe


fd: $(BENCH_FD)


rm-fd:
	rm -f $(BENCH_FD)


alpha: alpha.pl
	$(GPLC) $(GPLCFLAGS) -o alpha alpha.pl
 
bridge: bridge.pl
	$(GPLC) $(GPLCFLAGS) -o bridge bridge.pl
 
cars: cars.pl
	$(GPLC) $(GPLCFLAGS) -o cars cars.pl
 
crypta: crypta.pl
	$(GPLC) $(GPLCFLAGS) -o crypta crypta.pl
 
digit8: digit8.pl
	$(GPLC) $(GPLCFLAGS) -o digit8 digit8.pl
  
donald: donald.pl
	$(GPLC) $(GPLCFLAGS) -o donald donald.pl
  
eq10: eq10.pl
	$(GPLC) $(GPLCFLAGS) -o eq10 eq10.pl
 
eq20: eq20.pl
	$(GPLC) $(GPLCFLAGS) -o eq20 eq20.pl
    
five: five.pl
	$(GPLC) $(GPLCFLAGS) -o five five.pl
    
gardner: gardner.pl
	$(GPLC) $(GPLCFLAGS) -o gardner gardner.pl
    
partit: partit.pl
	$(GPLC) $(GPLCFLAGS) -o partit partit.pl
 
magic: magic.pl
	$(GPLC) $(GPLCFLAGS) -o magic magic.pl
 
multipl: multipl.pl
	$(GPLC) $(GPLCFLAGS) -o multipl multipl.pl
 
queens: queens.pl queens_fd.fd
	$(GPLC) $(GPLCFLAGS) -o queens queens.pl queens_fd.fd
  
send: send.pl
	$(GPLC) $(GPLCFLAGS) -o send send.pl
 
square: square.pl
	$(GPLC) $(GPLCFLAGS) -o square square.pl

srq: srq.pl
	$(GPLC) $(GPLCFLAGS) -o srq srq.pl

magsq: magsq.pl
	$(GPLC) $(GPLCFLAGS) -o magsq magsq.pl

qg5: qg5.pl
	$(GPLC) $(GPLCFLAGS) -o qg5 qg5.pl





bool: $(BENCH_BOOL)

rm-bool: 
	rm -f $(BENCH_BOOL)



bdiag: bdiag.pl array.pl
	$(GPLC) $(GPLCFLAGS) -o bdiag bdiag.pl

bdonald: bdonald.pl array.pl
	$(GPLC) $(GPLCFLAGS) -o bdonald bdonald.pl

bpigeon: bpigeon.pl array.pl
	$(GPLC) $(GPLCFLAGS) -o bpigeon bpigeon.pl

bqueens: bqueens.pl array.pl
	$(GPLC) $(GPLCFLAGS) -o bqueens bqueens.pl

bramsey: bramsey.pl array.pl
	$(GPLC) $(GPLCFLAGS) -o bramsey bramsey.pl

bschur: bschur.pl array.pl
	$(GPLC) $(GPLCFLAGS) -o bschur bschur.pl

bsend: bsend.pl array.pl
	$(GPLC) $(GPLCFLAGS) -o bsend bsend.pl

=== doc/Makefile ===
PREFIX=manual

DVIROOT=$(PREFIX)-dvi
DVINAME=$(PREFIX).dvi

PDFROOT=$(PREFIX)-pdf
PDFNAME=$(PREFIX).pdf

PSNAME=$(PREFIX).ps

HTMLNAME=$(PREFIX).html

CHMNAME=$(PREFIX).chm

TEX_SRC=packages.tex macros.tex body.tex \
        cover.tex acknow.tex intro.tex use.tex debugger.tex \
        format-defs.tex direct-cc.tex pl-bips.tex fd-cstr.tex \
        c-interface.tex references.tex tbl-contents.tex the-index.tex \
        version_no.tex

VERBOSE=0


.SUFFIXES:
.SUFFIXES: .eps .tex .aux .toc .idx .dvi .ps .hva .html .pdf $(SUFFIXES)

.eps.pdf:
	ps2pdf $< $@


help:
	@echo
	@echo '*** Please read the README file ***'
	@echo
	@echo 'make all       make DVI, PDF, PostScript, HTML and CHM versions'
	@echo 'make dvi       make DVI version        (needs LaTeX2e)'
	@echo 'make pdf       make PDF version        (needs pdflatex)'
	@echo 'make ps        make PostScript version (needs dvips)'
	@echo 'make html      make HTML version       (needs HeVeA)'
	@echo 'make chm       make HTMLHelp version   (needs hhc - Win32 only)'
	@echo
	@echo 'make clean     remove all temporary files'
	@echo 'make distclean same as clean'
	@echo 'make clean-all remove all versions'
	@echo
	@echo 'make help      this help'
	@echo


all: dvi pdf ps html chm



dvi: fp-dvi $(DVINAME)

fp-dvi:
	@./check_fp dvi $(DVIROOT) $(DVINAME) $(VERBOSE)

$(DVINAME): $(TEX_SRC) compil-scheme.eps debug-box.eps
	latex $(DVIROOT).tex
	makeindex $(DVIROOT).idx
	mv $(DVIROOT).dvi $(DVINAME)
	$(MAKE) dvi



pdf: fp-pdf $(PDFNAME)

fp-pdf:
	@./check_fp pdf $(PDFROOT) $(PDFNAME) $(VERBOSE)

$(PDFNAME): $(TEX_SRC) compil-scheme.pdf debug-box.pdf
	pdflatex $(PDFROOT).tex
	makeindex $(PDFROOT).idx
	mv $(PDFROOT).pdf $(PDFNAME)
	$(MAKE) pdf



ps: dvi $(PSNAME)

$(PSNAME): $(DVINAME)
	dvips -o $(PSNAME) -D 300 $(DVINAME)



html: Html/index.html

$(HTMLNAME): custom.hva $(TEX_SRC)
	hevea -O -nosymb -s -exec xxdate.exe -fix custom.hva $(DVIROOT).tex -o $(HTMLNAME)

Html/index.html: $(HTMLNAME)
	rm -f Html/index.html Html/$(PREFIX)*.html
	(cd Html && hacha -hrf -tocbis ../$(HTMLNAME) && ./hh_do_hhc_hhk $(PREFIX))

chm: $(CHMNAME)

$(CHMNAME): $(HTMLNAME) Html/index.html
	-(cd Html; hhc hh-$(PREFIX).hhp; mv -f $(CHMNAME) .. 2>/dev/null)

clean:
	rm -f $(PREFIX).aux $(PREFIX).toc $(PREFIX).idx $(PREFIX).*.fp
	rm -rf $(PREFIX)*.htoc $(PREFIX)*.haux $(PREFIX)*.hind $(PREFIX)*.hrf


distclean: clean


clean-all: distclean
	rm -f $(DVINAME) $(PDFNAME) $(PSNAME) $(CHMNAME)
	rm -f $(HTMLNAME) Html/$(PREFIX)*.html Html/index.html

clean-aux:
	rm -rf *.aux *.toc *.ind *.idx *.log *.haux *.htoc *.hidx *.hind *.out *.ilg *.hrf

clean-full: clean-all clean-aux

clean-test:
	rm -f ?.dvi ?.pdf ?.html ?.ps ?.info ?.txt
	rm -f ?.aux ?.toc ?.idx ?.ind ?.log
	rm -f ?.haux ?.htoc ?.hidx ?.hind ?.out ?.ilg ?.hrf


# distributions (DVI and HTML)

DVIDIRNAME=manual-dvi
HTMLDIRNAME=manual-html

dist-dvi: dvi $(DVIDIRNAME).tar.gz

$(DVIDIRNAME).tar.gz: $(DVINAME)
	ln -sf . $(DVIDIRNAME)
	tar cf $(DVIDIRNAME).tar $(DVIDIRNAME)/$(DVINAME) $(DVIDIRNAME)/??*.eps
	gzip -f $(DVIDIRNAME).tar
	rm -f $(DVIDIRNAME)
	@echo DVI distribution is in $(DVIDIRNAME).tar.gz


dist-html: $(HTMLDIRNAME).tar.gz

$(HTMLDIRNAME).tar.gz: Html/index.html
	ln -sf Html $(HTMLDIRNAME)
	tar cf $(HTMLDIRNAME).tar $(HTMLDIRNAME)/index.html $(HTMLDIRNAME)/$(PREFIX)*.html $(HTMLDIRNAME)/???*.gif
	gzip -f $(HTMLDIRNAME).tar
	rm -f $(HTMLDIRNAME)
	@echo HTML distribution is in $(HTMLDIRNAME).tar.gz


NAMES_FILE=/tmp/doc_names

names:
	@echo '# file generated by doc/Makefile'   >$(NAMES_FILE)
	@echo "PREFIX=$(PREFIX)"                  >>$(NAMES_FILE)
	@echo "DVINAME=$(DVINAME)"                >>$(NAMES_FILE)
	@echo "PDFNAME=$(PDFNAME)"                >>$(NAMES_FILE)
	@echo "PSNAME=$(PSNAME)"                  >>$(NAMES_FILE)
	@echo "HTMLNAME=$(HTMLNAME)"              >>$(NAMES_FILE)
	@echo "DVIDIRRNAME=$(DVIDIRNAME)"         >>$(NAMES_FILE)
	@echo "DVITARNAME=$(DVIDIRNAME).tar.gz"   >>$(NAMES_FILE)
	@echo "HTMLDIRNAME=$(HTMLDIRNAME)"        >>$(NAMES_FILE)
	@echo "HTMLTARNAME=$(HTMLDIRNAME).tar.gz" >>$(NAMES_FILE)

for-release: all dist-dvi dist-html names

=== src/Ma2Asm/FromC/Makefile ===
GPLC   = gplc
CC     = gcc
CFLAGS = -g -Wall

# other local variables

INCL=-I../../EnginePl
#CFLAGS    = -O3
#CFLAGS = -O3 -fverbose-asm -fomit-frame-pointer
CFLAGS = -O3 -fverbose-asm -fomit-frame-pointer -fno-defer-pop

#CFLAGS= /Ox /Oy

opt: 
	 $(GPLC) -c -C '$(CFLAGS) $(INCL) -S' -o asm_inst.s asm_inst.c


no:
	 $(GPLC) -c -C '-S $(INCL)' -o asm_inst.s asm_inst.c

clean:
	-rm *.s

=== src/debian/changelog ===
gprolog (1.2.11-4) unstable; urgency=low

  * new executable file locate in order to prepare to host several
    variants of gprolog (eg. gprolog-cx) simultaneously.
  * gprolog.postinst, gprolog.prerm: put #DEBHELPER# line AT THE END, just
    in case things like update-menus, etc. fail.

 -- Salvador Abreu <spa@debian.org>  Fri,  3 May 2002 11:22:11 +0100

gprolog (1.2.11-3) unstable; urgency=medium

  * merged fixes from upstream 1.2.12: allow for much larger memory sizes,
    user settable via GLOBALSZ=NNN, etc.  NNN are Kbytes; see docs.
  * configure for minimal hardware requirements (closes: #143406).

 -- Salvador Abreu <spa@debian.org>  Thu, 18 Apr 2002 13:36:18 +0100

gprolog (1.2.11-2) unstable; urgency=low

  * REALLY fixed watermark code, this time!
  * configure --with-c-flags=... instead of specifying in the `make'
    command line: configure would think it could use machine registers
    that, in fact, it shouldn't.

 -- Salvador Abreu <spa@debian.org>  Tue, 26 Mar 2002 17:57:56 +0000

gprolog (1.2.11-1) unstable; urgency=low

  * new upstream version.
  * doc/Makefile: hh_do_hhc_hhk is to be found here.  Patch courtesy of
    Neal H Walfield <neal@cs.uml.edu> (closes: #139643)
  * added build-dependencies on tetex-extra and gsfonts (closes: #139639)
  * fix problem with watermark code introduced in 1.2.9.
  * use autoconf >= 2.52.

 -- Salvador Abreu <spa@debian.org>  Mon, 25 Mar 2002 13:47:05 +0000

gprolog (1.2.9-3) unstable; urgency=low

  * use M-q instead of C-u M-q in control (closes: #135231 >-)
  * incorporate top_comp.c changes from 1.2.10.

 -- Salvador Abreu <spa@debian.org>  Thu, 28 Feb 2002 22:21:08 +0000

gprolog (1.2.9-2) unstable; urgency=low

  * remove alternatives upon package deletion (closes: #127035)

 -- Salvador Abreu <spa@debian.org>  Thu,  3 Jan 2002 16:34:19 +0000

gprolog (1.2.9-1) unstable; urgency=low

  * new upstream version.
  * added --enable-watermark to provide for external destructors on
    choicepoint deletion.
  * wam2ma: fixed weirdness: dmalloc is no longer a build dependency.  fix
    went upstream also. (closes: #126343)
  * gprolog-doc: make sure *.html goes in the right place.

 -- Salvador Abreu <spa@debian.org>  Mon, 24 Dec 2001 18:55:15 +0000

gprolog (1.2.7-3) unstable; urgency=low

  * clean up after calling mkstemp(2).  moved upstream into the CVS
    archive. (closes: #114529)

 -- Salvador Abreu <spa@debian.org>  Sun,  7 Oct 2001 14:46:17 +0100

gprolog (1.2.7-2) unstable; urgency=low

  * gprolog-doc is now in the "doc" distribution section.
  * reworked doc-base stuff to properly deal with binary and documentation
    packages. (closes: #114220)

 -- Salvador Abreu <spa@debian.org>  Tue,  2 Oct 2001 21:17:42 +0100

gprolog (1.2.7-1) unstable; urgency=low

  * New maintainer. (closes: #71675)
  * New upstream release.
  * Added a menu entry and an icon.
  * Split into two binary packages (gprolog and gprolog-doc).
  * Complete rewrite of debian/rules.
  * Fully rebuild docs everytime, produce HTML and PDF versions.
  * Updated manpages.
  * Linking wam2ma with dmalloc as regular mallocs seem to cause grief.
  * New function Update_Water_Mark/2 in EnginePl/wam_inst.c, needed to
    create external nondeterminate predicates which need to release
    resources when a choice-point is deleted.
  * lintian 1.20.14 approved.

 -- Salvador Abreu <spa@debian.org>  Mon, 24 Sep 2001 15:57:15 +0100

gprolog (1.2.1-1) unstable; urgency=low

  * New upstream release.  (Closes:Bug#98347)
  * Use doc-base.  (Closes:Bug#96025)
  * Added a menu entry.  (Closes:Bug#83493)

 -- Brent A. Fulgham <bfulgham@debian.org>  Mon, 24 Sep 2001 20:44:41 -0700

gprolog (1.2.0-3) unstable; urgency=low

  * Orphaned.

 -- Milan Zamazal <pdm@debian.org>  Wed, 29 Aug 2001 10:58:15 +0200

gprolog (1.2.0-2) unstable; urgency=low

  * Call update-alternatives in prerm, not in postrm; closes: #74558.

prolog (1.2.0-1) unstable; urgency=low

  * New upstream version.

 -- Milan Zamazal <pdm@debian.org>  Sun, 30 Jul 2000 20:46:56 +0200

gprolog (1.1.2-1) unstable; urgency=low

  * New upstream version.
  * Use .gz extension in links to the main manpage.
  * Lintian 1.11.2 satisfied.

 -- Milan Zamazal <pdm@debian.org>  Sun, 23 Jul 2000 12:16:49 +0200

gprolog (1.1.0-4) frozen unstable; urgency=low

  * Broken links to man pages in alternatives install fixed; closes: #57238.
  * Do not install DVI version of the manual.
  * Very simple man page created.

 -- Milan Zamazal <pdm@debian.org>  Wed,  9 Feb 2000 20:48:06 +0100

gprolog (1.1.0-3) unstable; urgency=low

  * Standards 3.1.1.
  * Build dependencies introduced.
  * Download location fixed.
  * Reference to GPL location on Debian fixed.
  * Copyright updated.

 -- Milan Zamazal <pdm@debian.org>  Sun,  5 Dec 1999 10:32:24 +0100

gprolog (1.1.0-2) unstable; urgency=low

  * Grr, move include and lib files to the proper location again;
    closes: #48702.

 -- Milan Zamazal <pdm@debian.org>  Sun, 31 Oct 1999 18:43:47 +0100

gprolog (1.1.0-1) unstable; urgency=low

  * New upstream version.
  * More cleanups when cleaning.
  * Lintian 1.10 satisfied.

 -- Milan Zamazal <pdm@debian.org>  Sun, 24 Oct 1999 19:48:48 +0200

gprolog (1.0.5-1) unstable; urgency=low

  * New upstream version.
    (This is a development version, but the 1.0.0 version does not compile
    with gcc 2.95 and glibc 2.1 and the development version is suggested
    for glibc 2.1 systems.)
  * Moved to FHS.
  * Compiled with glibc 2.1.
  * Standards 3.0.1.
  * Lintian 1.9.2 satisfied.

 -- Milan Zamazal <pdm@debian.org>  Fri,  1 Oct 1999 21:31:19 +0200

gprolog (1.0.0-2) unstable; urgency=low

  * All GIFs removed from the binary package to avoid problems with bad
    ideas.

 -- Milan Zamazal <pdm@debian.org>  Mon, 30 Aug 1999 21:06:56 +0200

gprolog (1.0.0-1) unstable; urgency=low

  * Initial Release.
  * Lintian 1.1 satisfied.

 -- Milan Zamazal <pdm@debian.org>  Sun, 25 Apr 1999 16:07:35 +0200

=== src/debian/control ===
Source: gprolog
Section: devel
Priority: optional
Maintainer: Salvador Abreu <spa@debian.org>
Standards-Version: 3.5.6
Build-Depends: imagemagick, tetex-bin, tetex-extra, gsfonts, hevea (>= 1.05), texinfo, debhelper (>= 3.0), autoconf (>= 2.52)

Package: gprolog
Architecture: any
Depends: ${shlibs:Depends}
Suggests: gprolog-doc
Conflicts: 
Description: GNU Prolog compiler.
 GNU Prolog is a free Prolog compiler with constraint solving over
 finite domains (FD) developed at INRIA by Daniel Diaz.  GNU Prolog is
 based on two systems developed by the same author (with lot of code
 rewriting and a lot of new extensions): wamcc and clp(FD).  A lot of
 work has been devoted to the ISO compatibility, GNU Prolog is very
 close to the ISO standard, full compliance being one of its goals.

Package: gprolog-doc
Architecture: all
Section: doc
Conflicts: gprolog (<< 1.2.7)
Recommends: pdf-viewer, www-browser
Description: Documentation for the GNU Prolog compiler.
 GNU Prolog is a free Prolog compiler with constraint solving over
 finite domains (FD) developed at INRIA by Daniel Diaz.
 .
 This package contains the documentation (both PDF and HTML) for GNU
 Prolog.

=== src/debian/rules ===
#! /usr/bin/make -f
# $Id: rules,v 1.7 2002/05/04 22:30:36 spa Exp $
# =============================================================================
# debian/rules for the GNU Prolog packages:
#   architecture-dependant package (gprolog-doc),
#   architecture-independent package (gprolog).
#
# Written by Salvador Abreu <spa@debian.org> based on the template in
# /usr/share/doc/debhelper/examples/rules.multi, with the following header:
# =============================================================================
#
# Sample debian/rules that uses debhelper. 
# This file is public domain software, originally written by Joey Hess.
#

# Uncomment this to turn on verbose mode. 
#export DH_VERBOSE=1

# This is the debhelper compatibility version to use.
export DH_COMPAT=3

variant=
package=gprolog$(variant)
SRCDIR=src/src

# =============================================================================

DOCDIR = /usr/share/doc/$(package)-doc

CPPFLAGS = \
	-DDEBIAN

CONFOPTIONS = \
	--prefix=/usr \
	--bindir=/usr/lib/$(package)/bin \
	--libdir=/usr/lib/$(package) \
	--includedir=/usr/include/$(package) \
	--with-doc-dir=$(DOCDIR) \
	--with-html-dir=$(DOCDIR)/gprolog.html \
	--with-examples-dir=$(DOCDIR)/examples \
	--with-c-flags="-O3 -fomit-frame-pointer -Wall -DDEBIAN" \
	--without-links \
	--enable-watermark

INSTALLDIRS = \
	  INSTALL_DIR=debian/$(package)/usr \
	  PROLOG_BINDIR=debian/$(package)/usr/lib/$(package)/bin \
	  PROLOG_LIBDIR=debian/$(package)/usr/lib/$(package) \
	  PROLOG_INCDIR=debian/$(package)/usr/include/$(package) \
	  DOC_DIR=debian/$(package)-doc$(DOCDIR) \
	  HTML_DIR=debian/$(package)-doc$(DOCDIR)/gprolog.html \
	  EXAMPLES_DIR=debian/$(package)-doc$(DOCDIR)/examples

PATH = /usr/bin:/bin

# == build binaries and documentation =========================================

build: build-indep build-arch

build-indep: build-indep-stamp
build-indep-stamp:
	dh_testdir
# -- commands to configure and build the package ------------------------------
	( PATH=${PATH}; \
	  if [ ! -f $(SRCDIR)/Makefile ]; then \
	    cd $(SRCDIR); \
	    autoconf && \
	    CPPFLAGS="${CPPFLAGS}" ./configure $(CONFOPTIONS); fi )
	PATH=${PATH} make -C doc pdf html
# -----------------------------------------------------------------------------
	touch build-indep-stamp

build-arch: build-arch-stamp
build-arch-stamp:
	dh_testdir
# -- commands to configure and build the package ------------------------------
	( PATH=${PATH}; \
	  cd $(SRCDIR); \
	  if [ ! -f configure ]; then autoconf; fi; \
	  if [ ! -f config.status -o configure -nt config.status ]; then \
	    CPPFLAGS="${CPPFLAGS}" ./configure $(CONFOPTIONS); \
	  fi )
	PATH=${PATH} make -C $(SRCDIR)
# -----------------------------------------------------------------------------
	touch build-arch-stamp


# == clean up everything ======================================================

clean:
	dh_testdir
	dh_testroot
	rm -f build-arch-stamp build-indep-stamp
# -- commands to clean up after the build process -----------------------------
	( PATH=${PATH}; \
	  cd $(SRCDIR); \
	  if [ ! -f configure ]; then autoconf; fi; \
	  if [ ! -f config.status -o configure -nt config.status ]; then \
	    CPPFLAGS="${CPPFLAGS}" ./configure $(CONFOPTIONS); \
	  fi )
	set -e; PATH=${PATH} make -C $(SRCDIR) distclean
# -- now, get rid of some more generated files --------------------------------
	set -e; \
	  find -name Makefile -o -name configure | \
	    while read FILE; do \
	      if [ -f "$$FILE.in" ]; then rm -f "$$FILE"; fi; done
	find src -name VERSION | xargs -r rm -f
	rm -rf src/src/autom4te.cache
# -- clean up docs ------------------------------------------------------------
	make -C doc clean-full
	find doc -name \*.pdf | xargs -r rm -f
	find doc -name \*.hh[ck] | xargs -r rm -f
	find doc -name \*.fp | xargs -r rm -f
	find doc -name manual\*.html | xargs -r rm -f
	rm -f debian/doc-base
# -- clean up examples --------------------------------------------------------
	find examples -name Makefile | sed 's;/Makefile;;' | \
	  while read DIR; do make -C "$$DIR" clean; done
# -----------------------------------------------------------------------------
	dh_clean


# == arch-dependent installation ==============================================

install-arch:
install-arch: build-arch
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs -A
# -- commands to install the package into the staging area --------------------
	make -C $(SRCDIR) $(INSTALLDIRS) install-system
# 	find debian/$(package)/usr/bin | while read F; do \
# 	  mv $$F $$F-$(variant); \
# 	done
# -- Install manpages ---------------------------------------------------------
	mkdir -p debian/$(package)/usr/share/man/man1/
	gzip -9 < debian/manpage \
		> debian/$(package)/usr/share/man/man1/$(package).1.gz
	for CMD in gplc hexgplc pl2wam wam2ma ma2asm fd2c; do \
	  ln -sf $(package).1.gz \
		 debian/$(package)/usr/share/man/man1/$$CMD$(variant).1.gz; \
	done
# -- Install auxiliary stuff --------------------------------------------------
	mkdir -p debian/$(package)/usr/share/icons/
	install -c -m 444 debian/$(package).xpm \
		debian/$(package)/usr/share/icons/
# -----------------------------------------------------------------------------
#	dh_movefiles


# == arch-independent installation ============================================

install-indep:
install-indep: build-indep
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs -A
# -- commands to install the package into the staging area --------------------
	make -C $(SRCDIR) $(INSTALLDIRS) \
	  install-doc install-html install-examples
# -- remove stray PDFs --------------------------------------------------------
	find debian/$(package)-doc -name compil-scheme.pdf\* | xargs -r rm -f
	find debian/$(package)-doc -name debug-box.pdf\* | xargs -r rm -f
# -- add doc-base support -----------------------------------------------------
#	mkdir -p debian/$(package)-doc/usr/share/doc-base
#	cp -a debian/autodocs/$(package)-doc \
#		debian/$(package)-doc/usr/share/doc-base
# -----------------------------------------------------------------------------
#	dh_movefiles


# == build architecture-independent files =====================================

binary-indep: build-indep install-indep
	dh_testdir -i
	dh_testroot -i
#	dh_installdebconf -i
#	ln -sf autodocs/$(package)-doc debian/doc-base
	dh_installdocs -p$(package)-doc
	dh_installexamples -i
#	dh_installmenu -i
	dh_installemacsen -i
#	dh_installman -i
	dh_installinfo -i
	dh_installchangelogs -i
	dh_link -i
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

# Build architecture-dependent files here.
binary-arch: build-arch install-arch
	dh_testdir -a
	dh_testroot -a
#	dh_installdebconf -a
	ln -sf autodocs/$(package) debian/doc-base
	dh_installdocs -a
	dh_installexamples -a
	dh_installmenu -a
#	dh_installemacsen -a
	dh_installman -a
	dh_installinfo -a
	dh_installchangelogs -a src/ChangeLog
	dh_link -a
	dh_strip -a
	dh_compress -a
	dh_fixperms -a
#	dh_makeshlibs -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-indep binary-arch
.PHONY: build build-arch build-indep clean binary-indep binary-arch binary install
